Skip to main content
`Ctrl`+`K`

# margulis_gabber_galil_graph

margulis_gabber_galil_graph(n, create_using=None)

  Returns the Margulis-Gabber-Galil undirected MultiGraph on `n^2` nodes.

  The undirected MultiGraph is regular with degree `8`. Nodes are integer pairs. The second-largest eigenvalue of the adjacency matrix of the graph is at most `5 sqrt{2}`, regardless of `n`.

  Parameters:
    n int

      Determines the number of nodes in the graph: `n^2`.

    create_using NetworkX graph constructor, optional (default MultiGraph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G graph

      The constructed undirected multigraph.

  Raises:
    NetworkXError

      If the graph is directed or not a multigraph.